-- sccs_id = "@(#) src/ll/db/gen/mysql/ll_cfg_common_tables.sql, ll.db.gen, ll_rsnep2, rsnep2s018a 1.33 12/23/13 03:41:22";
-- IBM_PROLOG_BEGIN_TAG 
-- This is an automatically generated prolog. 
--  
--  
--  
-- Licensed Materials - Property of IBM 
--  
-- Restricted Materials of IBM 
--  
-- (C) COPYRIGHT International Business Machines Corp. 2009,2013 
-- All Rights Reserved 
--  
-- US Government Users Restricted Rights - Use, duplication or 
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
--  
-- IBM_PROLOG_END_TAG 

CREATE TABLE TLL_CFGRunPolicy (
	nodeID INTEGER NOT NULL,
	start_exp VARCHAR(80), -- %kw=start
	kill_exp VARCHAR(80),  -- %kw=kill
	vacate_exp VARCHAR(80), -- %kw=vacate
	continue_exp VARCHAR(80), -- %kw=continue
	suspend_exp VARCHAR(80), -- %kw=suspend
	PRIMARY KEY (nodeID),
        FOREIGN KEY (nodeID) REFERENCES TLL_Nodelist (nodeID) ON DELETE CASCADE
) ENGINE = InnoDB;



CREATE TABLE TLL_CFGCluster (
	clusterID INTEGER NOT NULL,
	central_manager_list VARCHAR(2560),-- %kw=central_manager_list
	scheduler_type CHAR(10), -- %kw=scheduler_type
	admin_list VARCHAR(80), -- %kw=loadl_admin
	failover_heartbeat_interval INTEGER, -- %kw=failover_heartbeat_interval
	failover_heartbeat_retries INTEGER, -- %kw=failover_heartbeat_retries
	internal_socket_family CHAR(4), -- %kw=ll_internet_protocol
	ext_energy_policy_program VARCHAR(1024), -- %kw=ext_energy_policy_program
	stale_energy_tag_cleanup INTEGER, -- %kw=stale_energy_tag_cleanup
	suspend_control VARCHAR(20), -- %kw=suspend_control
	resume_wait_time INTEGER, -- %kw=resume_wait_time
	ext_frequency_program VARCHAR(1024), -- %kw=ext_frequency_program
	max_s3_trans_per_day INTEGER, -- %kw=max_s3_trans_per_day
	max_percent_of_s3 INTEGER, -- %kw=max_percent_of_s3
	perf_variation_threshold VARCHAR(1024), -- %kw=perf_variation_threshold
	hpm VARCHAR(3), -- %kw=hpm
	energy_capping_notify_file VARCHAR(1024), -- %kw=energy_capping_notify_file
	energy_capping_data_dir VARCHAR(1024), -- %kw=energy_capping_data_dir
	power_of_non_compute_nodes DOUBLE, -- %kw=power_of_non_compute_nodes
	power_of_s3_node DOUBLE, -- %kw=power_of_s3_node
	cluster_energy_capping DOUBLE, -- %kw=cluster_energy_capping
	max_power_of_node INTEGER, -- %kw=max_power_of_node
	min_time_of_job INTEGER, -- %kw=min_time_of_job
	PRIMARY KEY (clusterID),
	FOREIGN KEY (clusterID) REFERENCES TLL_Cluster (clusterID) ON DELETE CASCADE
) ENGINE = InnoDB;


CREATE TABLE TLL_CFGCommon (
	nodeID INTEGER NOT NULL,
	bin VARCHAR(1024), -- %kw=bin
	log VARCHAR(1024), -- %kw=log
	comm VARCHAR(1024),-- %kw=comm
	ll_rsh_command VARCHAR(1024), -- %kw=ll_rsh_command
	mail VARCHAR(1024), -- %kw=mail
	releasedir VARCHAR(1024), -- %kw=releasedir
	restarts_per_hour INTEGER, -- %kw=restarts_per_hour
	rset_support CHAR(20), -- %kw=rset_support
	ras_log VARCHAR(1024),-- %kw=ras_msg_file_dir
	trace_flag VARCHAR(128),-- %kw=trace
	PRIMARY KEY (nodeID),
	FOREIGN KEY (nodeID) REFERENCES TLL_Nodelist (nodeID) ON DELETE CASCADE
) ENGINE = InnoDB;


CREATE TABLE TLL_CFGKeywords (
	keyword VARCHAR(80) NOT NULL,  	--  LoadLeveler configuration keyword
	stanza VARCHAR(80) NOT NULL,   	--  Stanza containing the keyword
	tableName VARCHAR(80), 	--  LoadLeveler configuration table
	columnName VARCHAR(80), --  Column name in the table
PRIMARY KEY(keyword,stanza)
) ENGINE = InnoDB;


CREATE TABLE TLLR_CFGRegisteredHosts (
  RegisteredHost varchar(256) NOT NULL, 
  ConfigurationHost varchar(256), 
--  LastConfigurationUpdateAt timestamp on update CURRENT_TIMESTAMP, 
  PRIMARY KEY (RegisteredHost)
) ENGINE = InnoDB;


-- -------------------------------------------
--  Views  
-- -------------------------------------------

CREATE VIEW VLLR_GetRegisteredHostList AS 
	SELECT TBL1.RegisteredHost AS RegisteredHost FROM TLLR_CFGRegisteredHosts TBL1 order by RegisteredHost;

