llxcatimp - Import xCAT nodes as machines in the LoadLeveler 
            database configuration

Use the llxcatimp command to update the LoadLeveler database
configuration by defining machines for the nodes that are in the
specified xCAT nodegroup or nodegroups.


Syntax


llxcatimp -? | -H | -v | [-m] nodegroup_list


Flags


-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, and service level
   date.

 -m nodegroup_list
   Imports machines that are in the specified nodegroup_list, where the
   nodegroups in the list are defined in xCAT.


Description


For clusters using the database option for configuration, run the
llxcatimp command on the node running the database to import nodes from
one or more specified xCAT nodegroups as machines in the LoadLeveler
cluster.

First run llconfig -i to create the LoadLeveler tables and initialize
the database, including specifying the machines where the LoadLeveler
manager daemons will run. Once the LoadLeveler tables in the database
have been initialized, run llxcatimp at any time to add host names from
specified nodegroups to the database as LoadLeveler machines. The script
can be run: 

*  Immediately after llconfig -i initialization to add xCAT nodes as
   machines in the LoadLeveler configuration

*  Later to update according to what is currently in an xCAT nodegroup 

   LoadLeveler machines that match host names in the nodegroup will be
   ignored, and new ones will be added.

*  Later to add nodes from a new xCAT group or groups

The machine definitions are added with no specified attributes and use
the machine defaults for the cluster. Machine definitions are never
removed by this command.

An alternative to adding machines using llxcatimp is to add machines and
machine_groups using:

llconfig -s -a [-f filename]

Examples


1. To add all host names in the xCAT nodegroup compute that do not
   already have machine definitions, issue:

   llxcatimp compute

   You should receive a response similar to the following:

   Added 3 nodes from xCAT nodegroup compute.

2. To update machine definitions after additional nodes are added to the
   xCAT nodegroup compute, issue:

   llxcatimp compute

   You should receive a response similar to the following:

   f61c12p29 is already in the LoadLeveler tables.
   f62c03p25 is already in the LoadLeveler tables.
   f63c04p21 is already in the LoadLeveler tables.
   Added 3 nodes from xCAT nodegroup compute.


Security


Only the root user can issue this command and it must be run on a node
running the database software.